package cn.gintone.dto;

public class PtExportDevice {
    private String deviceSerialNo; //sn 112100021512
    private String deviceName; // 设备名称
    private String modelCode; // 设备标识
    private String description; // 位置 万柏林区滨河西路辅路23号山西自然博物馆
    private String label;
    private String deviceSec; // NOJDPYO3XN8N47PR
    private String classification;

    // 构造函数
    public PtExportDevice() {}

    public PtExportDevice(String deviceSerialNo, String deviceName, String modelCode,
                  String description, String label, String deviceSec, String classification) {
        this.deviceSerialNo = deviceSerialNo;
        this.deviceName = deviceName;
        this.modelCode = modelCode;
        this.description = description;
        this.label = label;
        this.deviceSec = deviceSec;
        this.classification = classification;
    }

    // Getter 和 Setter 方法
    public String getDeviceSerialNo() {
        return deviceSerialNo;
    }

    public void setDeviceSerialNo(String deviceSerialNo) {
        this.deviceSerialNo = deviceSerialNo;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getModelCode() {
        return modelCode;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getDeviceSec() {
        return deviceSec;
    }

    public void setDeviceSec(String deviceSec) {
        this.deviceSec = deviceSec;
    }

    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    @Override
    public String toString() {
        return "PtExportDevice{" +
                "deviceSerialNo='" + deviceSerialNo + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", modelCode='" + modelCode + '\'' +
                ", description='" + description + '\'' +
                ", label='" + label + '\'' +
                ", deviceSec='" + deviceSec + '\'' +
                ", classification='" + classification + '\'' +
                '}';
    }
}
